commit: 369868bc730651ba6d600f40457bdfc6eb10c04f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 2 04:26:47 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 2 04:26:47 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=369868bc
dev-python/evdev: Bump to 1.9.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/evdev/Manifest | 1 +
dev-python/evdev/evdev-1.9.2.ebuild | 45 +++++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/evdev/Manifest b/dev-python/evdev/Manifest
index 1029aad15839..b1ab8d7bf7e8 100644
--- a/dev-python/evdev/Manifest
+++ b/dev-python/evdev/Manifest
@@ -1 +1,2 @@
DIST python-evdev-1.9.0.gh.tar.gz 47965 BLAKE2B
0e3f48f6e2e5896647eda50b05f87b3342706ef7d9d962dd01d48f5c03b3ed4f1a26c47a8390cc903ced1be38d0401844a270a8b91348513f2fffc3d57656147
SHA512
dfe9d457f768814ec2f8e610a21503ba3c218f1518cad6ab5ee369b7d5c604e4ffdf3304461b3004d2bf582412d9d6d1d2b3f86ed28bb03e6e663f3de1ff3a25
+DIST python-evdev-1.9.2.gh.tar.gz 48925 BLAKE2B
db6ae75edc292f84c9d8d035b371ab08d50b323562b41ae0ef798a3afc1acebdddbc7a9128011bcdd92cb0a61eba75718a4aac4c7e5253421ebe6f9f0404bed0
SHA512
25caf75925de21f90959be131d4fac3c181a2a57175fe598aec72962604e53a41ca233e1380204bb35048d25937701a7e22cc88a3cb40bba0eb343bb1b815921
diff --git a/dev-python/evdev/evdev-1.9.2.ebuild
b/dev-python/evdev/evdev-1.9.2.ebuild
new file mode 100644
index 000000000000..2284e0c11629
--- /dev/null
+++ b/dev-python/evdev/evdev-1.9.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} pypy3_11 )
+
+inherit distutils-r1
+
+MY_P=python-evdev-${PV}
+DESCRIPTION="Python library for evdev bindings"
+HOMEPAGE="
+ https://python-evdev.readthedocs.io/
+ https://github.com/gvalkov/python-evdev/
+ https://pypi.org/project/evdev/
+"
+SRC_URI="
+ https://github.com/gvalkov/python-evdev/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # these tests rely on being able to open /dev/uinput
+ tests/test_uinput.py
+)
+
+python_configure_all() {
+ esetup.py build_ecodes \
+ --evdev-headers \
+
"${ESYSROOT}/usr/include/linux/input.h:${ESYSROOT}/usr/include/linux/input-event-codes.h:${ESYSROOT}:/usr/include/linux/uinput.h"
+}
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}